Keith
Isdale
keith@kdewebdev.org
27. märts 2006
xsldbg
1

# `xsldbg`

XSLT skriptide silumise käsureatööriist

    xsldbg --shell --cd <ASUKOHT> --param <NIMI>:<VÄÄRTUS> --lang <KEEL> --output <FAIL> --version --verbose --timing --repeat --debug --valid --out --maxdepth val --html --docbook --net --catalogs --xinclude --profile --gdb --autoencode --utf8input --preferhtml --stdout --autorestart +XSLSource +XMLData

## Kirjeldus

&xsldbg; on tööriist, mis aitab paremini mõista laaditabeleid. Muudest laaditabelite siluritest eristab seda oskus otsida huvipakkuvaid elemente ning jälgida laaditabeli täitmist.

&xsldbg; on tekstipõhine tööriist laaditabelite (eXtensible Stylesheet Language) silumiseks ning selle käsud sarnanevad UNIX-i/Linuxi siluri GDB käskudega. Laaditabelite käivitamisel saab kasutada kolme põhirežiimi.

- Kogu laaditabeli käivitamine

- Täitmine järgmise xsl-instruktsioonini

- Jätkamine järgmise katkestuspunktini või laaditabeli taaskäivitamiseni

## Võtmed

### Rakenduse võtmed

Märkus: võtme väljalülitamiseks lisa selle nime ette 'no', näiteks 'nonet'

Märkus: võtmed märkega '*' on vaikimisi kasutusel

`--shell`

  Shelli käivitamine; kui see on käivitatud, kasuta &xsldbg; abikäsku, et näha käitusaja abi.

`--cd <ASUKOHT>`

  Asukoht, kuhu suunduda enne failide laadimist. Vaata ka käsu 'cd' dokumentatsiooni

`--param <NIMI>:<VÄÄRTUS>`

  Parameetri nimega <NIMI> ja väärtusega <VÄÄRTUS> lisamine XSL keskkonnale. Vaata ka käsu 'addparam' dokumentatsiooni

  Märkus: nime ja väärtuse eraldajana võib ':' asemel kasutada ka '='

`--lang <KEEL>`

  Määratud ISO-639 keelekoodi, näiteks en_US, kasutamine

`--output <FAIL>`

  Salvestamine määratud faili. Vaata ka käsu 'output' dokumentatsiooni

`--version`

  Kasutatava libxml ja libxslt versiooni näitamine

`--verbose`

  Logiteadete näitamine

`--timing`

  Kulunud aja näitamine

`--repeat`

  Teisenduse läbimine 20 korda; kui --repeat on antud kaks korda, siis 100 korda

`--debug`

  Tulemustepuu salvestamine, kui libxml'is on selle toetus sisse lülitatud

`--valid*`

  DTD laadimisfaasi lubamine, vaikimisi on võti kasutusel

`--out*`

  Tulemuse väljundi lubamine, vaikimisi on võti kasutusel

`--maxdepth val`

  Maksimaalse sügavuse suurendamine

`--html`

  Sisenddokumente koheldakse HTML-faili(de)na, kui libxml'is on selle toetus sisse lülitatud

`--docbook`

  Sisenddokumenti koheldakse SGML docbookina, kui libxml'is on selle toetus sisse lülitatud

`--net*`

  DTD-de või olemite võrgust tõmbamise lubamine, vaikimisi on võti kasutusel

`--catalogs`

  $SGML_CATALOG_FILES kataloogide kasutamine, kui libxml'is on selle toetus sisse lülitatud

`--xinclude*`

  XInclude töötlemise lubamine dokumendisisendis, kui libxml'is on selle toetus sisse lülitatud, vaikimisi on võti kasutusel

`--profile`

  Profileerimisinfo näitamine

`--gdb*`

  GDB ühilduvusrežiimi käivitamine ja rohkema teabe näitamine, vaikimisi on võti kasutusel

`--autoencode*`

  Laaditabeli kodeeringute tuvastamine ja kasutamine

`--utf8input`

  Käsurea sisendi tõlgendamine UTF-6 kodeeringus

`--preferhtml`

  Otsinguaruande loomisel HTML-väljundi kasutamine

`--stdout`

  Kõigi veateadete saatmine standardväljundisse (tavaliselt lähevad veateated stderr-i)

`--autorestart`

  Täitmise automaatse taaskäivitamise lubamine, kui aktiivne töötluskord läbi saab

`+XSLSource`

  Käivitatav XSL skript (pole kohustuslik)

`+XMLData`

  Teisendatavad XML-andmed (pole kohustuslik, kui määratud on XSLSource)

## Autorid

&xsldbg; autor ja hooldaja on praegu Keith Isdalekeith@kdewebdev.org